VisualEditor: Save dialog's checkboxes layout terribly if you have more than 2 items, or long i18n strings
Closed, ResolvedPublic

Description

screenshot

When using German language (on German and English Wikipedia, but also likely everywhere else), the layout of the minor changes & watchlist checkboxes on the save dialog is not appropriate when viewed in Firefox. Attached is Vector; same problem exists in Monobook.


Version: unspecified
Severity: minor
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=52176

attachment VE_de_Firefox_save_dialog .png ignored as obsolete

bzimport set Reference to bz52175.
jayvdb created this task.Via LegacyJul 28 2013, 7:29 AM
jayvdb added a comment.Via ConduitJul 29 2013, 1:33 AM

Created attachment 12997
Windows 7 screenshot

Font is obviously a contributing factor here; on Windows the layout problem almost disappears.

attachment VE_de_save_dialog_checkboxes_Firefox_on_Windows.png ignored as obsolete

Jdforrester-WMF added a comment.Via ConduitAug 29 2013, 10:27 PM
  • Bug 52176 has been marked as a duplicate of this bug. ***
matmarex added a comment.Via ConduitSep 4 2013, 8:10 PM

Created attachment 13242
pl.wp screenshot

It breaks particularly badly on wikis with FlaggedRevs.

attachment 2013-09-04 22_07_50-Edytujesz Rafał Kosik - Wikipedia - Opera.png ignored as obsolete

gerritbot added a comment.Via ConduitSep 4 2013, 8:14 PM

Change 81876 had a related patch set uploaded by Jforrester:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

Jdforrester-WMF added a comment.Via ConduitOct 3 2013, 8:53 PM
  • Bug 54802 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitOct 7 2013, 11:02 PM

Change 81876 merged by jenkins-bot:
Make the save dialog an actual dialog

https://gerrit.wikimedia.org/r/81876

Jdforrester-WMF added a comment.Via ConduitOct 7 2013, 11:04 PM

The fix for this is now merged and will be deployed on Thursday 10 October to MediaWiki.org, and to Wikipedias on Thursday 17 October.

matmarex added a comment.Via ConduitNov 17 2013, 2:22 PM

Created attachment 13820
Screenshot, 2013-11-17 (in Polish)

This appears to still not fixed :( I'm adding an up-to-date screenshot.

Attached:

Jdforrester-WMF added a comment.Via ConduitNov 19 2013, 6:28 AM

Reset as FIXED. The screenshot you attach looks normal - could you annotate the parts you think aren't correct? Probably as a new bug…

matmarex added a comment.Via ConduitNov 19 2013, 10:38 AM

The line-height is too large and the second line is offset to left.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.